<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">

<mapper namespace="com.xxfc.platform.order.mapper.SpecialRentMapper">

	<!-- 可根据自己的需求，是否要使用 -->
    <resultMap type="com.xxfc.platform.order.entity.SpecialRent" id="specialRentMap">
        <result property="id" column="id"/>
        <result property="status" column="status"/>
        <result property="crtTime" column="crt_time"/>
        <result property="crtUser" column="crt_user"/>
        <result property="joinUserId" column="join_user_id"/>
        <result property="updUser" column="upd_user"/>
        <result property="updTime" column="upd_time"/>
        <result property="startCompanyId" column="start_company_id"/>
        <result property="endCompanyId" column="end_company_id"/>
        <result property="vehicleId" column="vehicle_id"/>
        <result property="startTime" column="start_time"/>
        <result property="endTime" column="end_time"/>
        <result property="orderId" column="order_id"/>
        <result property="orderNo" column="order_no"/>
        <result property="startCompanyName" column="start_company_name"/>
        <result property="endCompanyName" column="end_company_name"/>
        <result property="startCityCode" column="start_city_code"/>
        <result property="endCityCode" column="end_city_code"/>
        <result property="publishUserId" column="publish_user_id"/>
        <result property="publishCompanyId" column="publish_company_id"/>
        <result property="bookRecordId" column="book_record_id"/>
        <result property="orderStatus" column="order_status"/>
        <result property="brandId" column="brand_id"/>
        <result property="categoryId" column="category_id"/>
        <result property="goodsType" column="goods_type"/>
    </resultMap>

</mapper>